Debian Bug report logs - #302990
bluez-firmware: Doesn't load firmware into device with current hotplug, udev and kernel 2.6.11

version graph

Package: udev; Maintainer for udev is Marco d'Itri <md@linux.it>; Source for udev is src:systemd.

Reported by: Ron Murray <rjmx@rjmx.net>

Date: Sun, 3 Apr 2005 22:03:01 UTC

Severity: normal

Fixed in version udev/0.056-2

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Edd Dumbill <ejad@debian.org>:
Bug#302990; Package bluez-firmware. Full text and rfc822 format available.

Acknowledgement sent to Ron Murray <rjmx@rjmx.net>:
New Bug report received and forwarded. Copy sent to Edd Dumbill <ejad@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ron Murray <rjmx@rjmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bluez-firmware: Doesn't load firmware into device with current hotplug, udev and kernel 2.6.11
Date: Sun, 03 Apr 2005 17:57:15 -0400
Package: bluez-firmware
Version: 1.0-2
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


When plugging my BT3030 Bluetooth dongle into a USB slot:

> Apr  3 17:33:27 khufu kernel: usb 1-1: new full speed USB device using uhci_hcd and address 2
> Apr  3 17:33:28 khufu usb.agent[7834]:      bcm203x: already loaded
> Apr  3 17:33:28 khufu kernel: Bluetooth: Broadcom Blutonium firmware driver ver 1.0
> Apr  3 17:33:28 khufu kernel: Bluetooth: HCI USB driver ver 2.8
> Apr  3 17:33:28 khufu usb.agent[7850]:      bcm203x: already loaded
> Apr  3 17:33:28 khufu usb.agent[7850]:      hci_usb: already loaded
> Apr  3 17:33:32 khufu kernel: usb 2-1: hald timed out on ep0in
> Apr  3 17:33:42 khufu usb.agent[7844]:      bcm203x: loaded successfully
> Apr  3 17:33:42 khufu kernel: bcm203x_probe: Mini driver request failed
> Apr  3 17:33:42 khufu kernel: bcm203x: probe of 1-1:1.0 failed with error -5
> Apr  3 17:33:42 khufu kernel: usbcore: registered new driver bcm203x
> Apr  3 17:33:42 khufu usb.agent[7834]:      hci_usb: loaded successfully
> Apr  3 17:33:42 khufu kernel: usbcore: registered new driver hci_usb
> Apr  3 17:33:42 khufu usb.agent[7844]:      hci_usb: already loaded
> Apr  3 17:33:47 khufu firmware.agent[8069]: /sys//class/firmware/1-1/ does not exist
> Apr  3 17:34:05 khufu kernel: usb 1-1: USB disconnect, address 2

Kernel is a locally-built 2.6.11 with current Bluez patches. udev
version is 0.056-1. Hotplug version is 0.0.20040329-21.

Problem seems to involve udev, as temporarily replacing
"/sbin/udevsend" in /proc/sys/kernel/hotplug with "/sbin/hotplug",
then plugging dongle into USB port allows it to work.

See also
http://marc.free.net.ph/message/20050320.093213.01774887.en.html
and
http://sourceforge.net/mailarchive/message.php?msg_id=11165076

Thanks,

 .....Ron

- -- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.11-khufu-3
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFCUGa7itqjxNhsdN4RAkfmAJwN7d7Of8//LS5aK5G6DeWcYsU6BwCfRj2C
cKtYVvItgJBwmav90oWL96o=
=Q4vX
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Edd Dumbill <ejad@debian.org>:
Bug#302990; Package bluez-firmware. Full text and rfc822 format available.

Acknowledgement sent to Edd Dumbill <edd@usefulinc.com>:
Extra info received and forwarded to list. Copy sent to Edd Dumbill <ejad@debian.org>. Full text and rfc822 format available.

Message #10 received at 302990@bugs.debian.org (full text, mbox):

From: Edd Dumbill <edd@usefulinc.com>
To: 302990@bugs.debian.org, Ron Murray <rjmx@rjmx.net>
Cc: control@bugs.debian.org
Subject: Re: Bug#302990: bluez-firmware: Doesn't load firmware into device with current hotplug, udev and kernel 2.6.11
Date: Thu, 07 Apr 2005 10:44:56 +0100
reassign 302990 udev
thanks

On Sun, 2005-04-03 at 17:57 -0400, Ron Murray wrote:
> 
> Problem seems to involve udev, as temporarily replacing
> "/sbin/udevsend" in /proc/sys/kernel/hotplug with "/sbin/hotplug",
> then plugging dongle into USB port allows it to work.

I think therefore this is a udev bug, as nothing has changed with BlueZ.

-- Edd





Bug reassigned from package `bluez-firmware' to `udev'. Request was from Edd Dumbill <edd@usefulinc.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ron Murray <rjmx@rjmx.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 302990-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 302990-close@bugs.debian.org
Subject: Bug#302990: fixed in udev 0.056-2
Date: Sat, 09 Apr 2005 12:47:19 -0400
Source: udev
Source-Version: 0.056-2

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive:

udev_0.056-2.diff.gz
  to pool/main/u/udev/udev_0.056-2.diff.gz
udev_0.056-2.dsc
  to pool/main/u/udev/udev_0.056-2.dsc
udev_0.056-2_i386.deb
  to pool/main/u/udev/udev_0.056-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 302990@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  9 Apr 2005 14:44:10 +0200
Source: udev
Binary: udev udev-udeb
Architecture: source i386
Version: 0.056-2
Distribution: unstable
Urgency: medium
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 udev       - /dev/ management daemon
Closes: 301525 301766 302990 303133
Changes: 
 udev (0.056-2) unstable; urgency=medium
 .
   * Made the init script not fail if links.conf does not exist.
     (Closes: #301525)
   * Added RELEASE-NOTES to the documentation. (Closes: #301766)
   * devfs.rules, udev.rules: fixed the ZIP drives hack. (Closes: #303133)
   * Added patch add_firmwares_timeout: workaround for kernels with no
     TIMEOUT support, which break the firmware events of some drivers.
     (Closes: #302990)
   * Moved all permissions-related rules to permissions.rules, installed
     by default on upgrade.
Files: 
 342c6ad8f0e5b7d2a5a428a661798485 561 admin extra udev_0.056-2.dsc
 adae67087a91cb7cda6e00915f454c99 27935 admin extra udev_0.056-2.diff.gz
 9e07aba527c45716b124dbacdcb9ec21 245406 admin extra udev_0.056-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCWAH9FGfw2OHuP7ERAmSsAJ4mgDb6NUNraY0xqdncJP/fA/Y3EACfRvxG
kw5mycLI1k4NHUPHEtV9xAQ=
=tlsd
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:29:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.